## dpkg 1.14.25maemo3+0m5

=== debian/changelog ===
dpkg (1.14.25maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 16 Dec 2009 15:40:41 +0200

dpkg (1.14.25maemo3) unstable; urgency=low

  * Fixes: NB#149149 - Drop changelog and copyright files from binary
    packages (so no need to create a -doc package).

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 15 Dec 2009 17:40:15 +0100
