=== debian/control ===
Source: dpkg
Section: admin
Priority: required
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Origin: maemo
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 4.1.81), pkg-config, po4a,
 libncursesw5-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, flex,
 libtimedate-perl

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11),
 dpkg-dev (<< 1.14.16), apt (<< 0.7.7), aptitude (<< 0.4.7-1)
Replaces: manpages-de (<= 0.4-3), manpages-pl (<= 20051117-1)
Suggests: apt, lzma
Depends: perl-base
Description: Debian package management system
 This package provides the low-level infrastructure for handling the
 installation and removal of Debian software packages.
 .
 For Debian package development tools, install dpkg-dev.

Package: dpkg-dev
Section: utils
Priority: optional
Architecture: all
Depends: dpkg (>= 1.14.6), perl5, perl-modules, cpio (>= 2.4.2-2), bzip2,
 patch (>= 2.2-1), make, binutils, libtimedate-perl
Recommends: gcc | c-compiler, build-essential
Suggests: gnupg, debian-keyring, lzma
Conflicts: dpkg-cross (<< 2.0.0), devscripts (<< 2.10.26)
Replaces: manpages-pl (<= 20051117-1)
Description: Debian package development tools
 This package provides the development tools (including dpkg-source)
 required to unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build;
 for example, most packages need make and the C compiler gcc.

Package: dselect
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.13.1)
Replaces: dpkg (<< 1.10.3)
Description: Debian package management front-end
 dselect is a high-level interface for managing the installation and
 removal of Debian software packages.
 .
 Many users find dselect intimidating and new users may prefer to use
 apt-based user interfaces.
