## dpkg 1.14.29

=== debian/changelog ===
dpkg (1.14.29) stable-security; urgency=high

  * Modify dpkg-source to error out when it would apply patches containing
    insecure paths (with "/../") and also error out when it would apply a
    patch through a symlink. Those checks are required as patch will happily
    modify files outside of the target directory and unpacking a source package
    should not be able to have any side-effect outside of the target
    directory. Fixes CVE-2010-0396.
  * Also error out when the quilt series contains a path with "/../" as this
    can cause patch to create files outside of the source package due
    to the -B .pc/$path option that it gets.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 05 Mar 2010 22:25:05 +0100

dpkg (1.14.28) stable; urgency=low

  * Another round of updates concerning new source formats:
    - fix dpkg-source to not complain on binary files that are ignored and are
      not going to be included in the debian tarball of a "3.0 (quilt)" source
      package. Closes: #524375
    - let dpkg-source fail if several upstream orig.tar files are
      available (using different compression scheme) since we don't know
      which one to use.
    - before accepting to build a 3.0 (quilt) source packages, ensure that
      debian/patches is a directory (or non-existing) and that
      debian/patches/series is a file (or non-existing). Closes: #557618
    - modify implementation of "3.0 (quilt)" source format to not be
      behave differently depending on whether quilt is installed or not.
      The option --without-quilt is thus gone and dpkg-source creates and
      relies on the .pc directory to know whether patches are applied or
      not. Closes: #557667

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 03 Jan 2010 19:40:09 +0100

dpkg (1.14.27) stable; urgency=low

  * Cherry-pick some fixes from squeeze concerning new source formats:
    - dpkg-source now accepts additional tarballs (in format "3.0 (quilt)")
      with a "component" name containing dashes. Closes: #524376
    - ensure that the automatic patch created in format "3.0 (quilt)" is
      always well registered with quilt even when it's updated by a new call
      to dpkg-source. Thanks to Goswin von Brederlow for the initial patch.
      Closes: #525858
    - do not update/create debian/patches/.dpkg-source-applied during build,
      it's only meant to document what patches have been applied at extraction
      time. Closes: #525835
    - call quilt only once to apply all patches instead of once per patch
      when building 3.0 (quilt) source packages. Closes: #518453

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 13 Nov 2009 17:45:15 +0100

dpkg (1.14.26) unstable; urgency=low

  [ Raphael Hertzog ]
  * Fix dpkg-source to not die when uncompressor processes are killed by
    SIGPIPE due to tar closing the pipe without exhausting all the data
    available. Closes: #523329

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).
  * Polish (Wiktor Wandachowicz). Closes: #514106
  * Swedish (Peter Krefting).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).
  * Polish (Wiktor Wandachowicz). Closes: #514106
  * Swedish (Peter Krefting).

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 09 Apr 2009 19:07:40 +0200
