## dpkg 1.15.4ubuntu2

=== debian/changelog ===
dpkg (1.15.4ubuntu2) karmic; urgency=low

  * dpkg: Adjust versioned emacs22 conflicts. LP: #432584.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Sep 2009 10:08:33 +0200

dpkg (1.15.4ubuntu1) karmic; urgency=low

  * Resynchronise with Debian (LP: #427854). Remaining changes:
    Ubuntu-specific adjustments (probably):
    - Use i686 for lpia in cputable and triplettable.
    - Hack Dpkg::Arch to return i686 for lpia.
    - Move various Conflicts to Breaks, since upgrades from stable Ubuntu
      releases support Breaks.

    Miscellaneous bug fixes:
    - Avoid duplicate attempts to [f]close in obscure error situations which
      might conceiveably close wrong fds.
    - Revert change to stop outputting a newline after a postinst is run
      (Debian #392317).
    - Use the two-arg form of open in Dpkg::Control so that "-" can be
      passed to parse stdin as a control file (Debian #465340).

    Launchpad integration:
    - Add Launchpad-Bugs-Fixed handling in a few more places.

    Build options:
    - Point to https://wiki.ubuntu.com/DistCompilerFlags from
      dpkg-buildpackage(1).
    - Set default LDFLAGS to -Wl,-Bsymbolic-functions. (We've already taken
      this hit in Ubuntu.)
    - Implement handling of hardening-wrapper options via DEB_BUILD_OPTIONS.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Sep 2009 13:39:36 +0100

dpkg (1.15.4) unstable; urgency=low

  [ Guillem Jover ]
  * Call _g instead of g_ in dpkg-name.
  * Fix inverted logic when deciding to assume the architecture in dpkg-name
    when the package didn't have such field.
  * Do not take into account Revision and Package_Revision fields in dpkg-name
    and dpkg-scanpackages as they have been handled already by “dpkg-deb -I”.
  * Switch dpkg-scansources to use Dpkg::Cdata instead of duplicating the
    .dsc parsing code. As a side effect it now handles properly bogus files.
  * Do not remap obsolete fields in dpkg-scanpackages as they have been
    handled already by “dpkg-deb -I”.
  * Properly mark packages being purged for disappearance from the database.
    This will make the status database not be left behind with traces of old
    not-installed packages. Closes: #472208
  * On parse mark not-installed leftover packages for automatic removal from
    the database on next dump. This obsoletes the --forget-old-unavail option,
    thus making it now a no-op. Closes: #33394, #429262
  * Document “hold” under package selection states instead of flags in dpkg(1).
  * Remove trailing ‘/’ and ‘/.’ from the directory name to be used as the
    package name on “dpkg-deb -b”. Closes: #218018, #373602
  * Remove obsolete ‘hold’ and ‘hold-reinstreq’ internal status flags.
  * Add fakeroot to dpkg-dev Recommends. Closes: #536821
  * Fix an always false test when trying to decide which package to deselect
    to resolve a dependency problem in dselect.
  * Add uClibc Linux support to ostable and triplettable. Closes: #455501
  * Add uClinux support to ostable and triplettable.
    Thanks to Simon Richter <sjr@debian.org>.
  * When aborting due to file conflicts print the version of the conflicted
    package. Closes: #540019
  * Remove double slash in database path visible to the user in some error
    conditions.
  * Stop macthing sparc64-*-* GNU triplets with sparc Debian architecture.
  * Add support for config.d style directories in dpkg and dselect,
    (/etc/dpkg/dpkg.cfg.d and /etc/dpkg/dselect.cfg.d respectively).
  * Define DPKG_MAINTSCRIPT_ARCH on the maintainer script environment to the
    architecture the package got built for.
  * Document DPKG_MAINTSCRIPT_PACKAGE maintainer script environment variable
    in dpkg man page.
  * Document DPKG_RUNNING_VERSION maintainer script environment variable
    in dpkg man page.
  * Change po4a usage to not create unwated changes depending if doing out or
    in-tree builds.
  * Use po4a “--previous” support when updating the man pages.
    Suggested by Christian Perrier <bubulle@debian.org>.
  * On configuration error print file name and line number.
  * Allow quoting values in configuration file options.
  * Add new --pre-invoke and --post-invoke hooks in dpkg.
  * Add new --control-path command to dpkg-query.
  * Use ohshit on bad version syntax in --compare-versions.
  * Add Multi-Arch to the list of known binary package fields for dpkg-dev.
    Thanks to Steve Langasek <vorlon@debian.org>.

  [ Raphael Hertzog ]
  * Replace install-info by a wrapper around GNU's install-info. The wrapper
    will be dropped in squeeze+1. dpkg now Breaks: old versions of
    info-browsers that do not depend on the new install-info package
    that provides the real functionality. Closes: #9771, #523980
    See http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo for details.
  * Fix dpkg's preinst in case /var/lib/dpkg/alternatives contains unexpected
    sub-directories. Closes: #535138
    And also when one of the file doesn't contain correct alternatives
    information (improper number of lines). Closes: #537558
  * Upgrade Standards-Version to 3.8.2 (no changes).
  * Update deb-substvars(5) to list fields that do not support substvars.
    Closes: #535353
  * Fix dpkg-parsechangelog to include all entries with -v0 parameter.
    Closes: #537800
  * Fix update-alternatives to mention the correct slave link that can't
    be installed due to a conflicting file instead of quoting the master link.
  * Add support for extra override file in dpkg-scanpackages. Thanks to Robert
    Millan for the patch. Closes: #537559
  * Add support for extra override file in dpkg-scansources.
  * Document format of extra override file in a new manual page
    deb-extra-override(5).
  * Update sample in dpkg-gensymbols(1) to give an accurate listing of
    64 bit arches. Thanks to Julien Cristau for the patch. Closes: #540382
  * Create /etc/cron.daily/dpkg to handle the backup of
    /var/lib/dpkg/status in /var/backups. This is taken out of the cron

