## dpkg 1.15.4ubuntu2.3

=== debian/changelog ===
dpkg (1.15.4ubuntu2.3) karmic-security; urgency=low

  * SECURITY UPDATE: relative directory and symlink following in source pkgs.
    - scripts/Dpkg/Source/Archive.pm, scripts/Dpkg/Source/Patch.pm,
      scripts/Dpkg/Source/Package/V2.pm: applied fixes from Raphael Hertzog,
      thanks to Raphael Geissert.
    - CVE-2010-1679

 -- Kees Cook <kees@ubuntu.com>  Thu, 06 Jan 2011 10:28:01 -0800

dpkg (1.15.4ubuntu2.2) karmic-security; urgency=low

  * SECURITY UPDATE: no change rebuild to use the new statically linked libbz2
    which fixed CVE-2010-0405

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 Sep 2010 13:31:13 -0500

dpkg (1.15.4ubuntu2.1) karmic-security; urgency=low

  * SECURITY UPDATE: arbitrary file overwriting via symlinks and relative
    directories.
    - upstream fixes thanks to Raphael Hertzog, backported inline to
      scripts/Dpkg/Source/Package/V3/quilt.pm, and
      scripts/Dpkg/Source/Patch.pm b/scripts/Dpkg/Source/Patch.pm.
    - CVE-2010-0396

 -- Kees Cook <kees@ubuntu.com>  Wed, 10 Mar 2010 13:54:45 -0800
