=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Frank Lichtenheld <djpig@debian.org>,
  Guillem Jover <guillem@debian.org>, Raphael Hertzog <hertzog@debian.org>
 Origin: debian
@@ -9,8 +10,8 @@
 Homepage: http://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: http://git.debian.org/?p=dpkg/dpkg.git
 Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 4.1.81), pkg-config, po4a (>= 0.33.1),
+Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 6.0.7), pkg-config, po4a (>= 0.33.1),
  libncursesw5-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, flex,
  libselinux1-dev (>= 1.28-4) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libtimedate-perl, libio-string-perl
@@ -19,9 +20,16 @@
 Architecture: any
 Essential: yes
 Pre-Depends: ${shlibs:Depends}, coreutils (>= 5.93-1), lzma
-Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11),
- dpkg-dev (<< 1.14.16), apt (<< 0.7.7), aptitude (<< 0.4.7-1)
+Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11)
 Replaces: manpages-de (<= 0.4-3), manpages-pl (<= 20051117-1)
+# install-info transition
+# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
+Breaks: dpkg-dev (<< 1.14.16), apt (<< 0.7.7), aptitude (<< 0.4.7-1),
+ jed (<< 1:0.99.18+dfsg.1-13), xjed (<< 1:0.99.18+dfsg.1-13),
+ konqueror (<= 4:4.2.96-1), xemacs21-support (<< 21.4.22-2),
+ emacs22 (<= 22.2-0ubuntu2), emacs22-gtk (<= 22.2-0ubuntu2), emacs22-nox (<= 22.2-0ubuntu2),
+ emacs21 (<< 21.4a+1-5.7), emacs21-nox (<< 21.4a+1-5.7),
+ tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1), jed-extra (<= 2.5.3-2)
 Suggests: apt
 Description: Debian package management system
  This package provides the low-level infrastructure for handling the
@@ -33,10 +41,10 @@
 Section: utils
 Priority: optional
 Architecture: all
-Depends: dpkg (>= 1.14.6), perl5, perl-modules, cpio (>= 2.4.2-2), bzip2, lzma,
+Depends: dpkg (>= 1.15.4), perl5, perl-modules, bzip2, lzma,
  patch (>= 2.2-1), make, binutils, libtimedate-perl
-Recommends: gcc | c-compiler, build-essential
-Suggests: gnupg, debian-keyring
+Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv
+Suggests: debian-keyring, debian-maintainers
 Conflicts: dpkg-cross (<< 2.0.0), devscripts (<< 2.10.26)
 Replaces: manpages-pl (<= 20051117-1)
 Description: Debian package development tools
