=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CXXFLAGS = -g $(WFLAGS)
 
 # Disable optimisations if ‘noopt’ found in $DEB_BUILD_OPTIONS
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 	CXXFLAGS += -O0
 else
@@ -30,23 +30,23 @@
 # Don't enable everything on all platforms
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-#ifeq ($(DEB_HOST_ARCH_OS),linux)
-#	confflags += --with-selinux=static
-#endif
-confflags += --with-selinux=no
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	confflags += --with-selinux=static
+endif
+
 
 # Create configure script if necessary, automake handles rebuilding it.
 configure:
 	dh_testdir
 
-	autoreconf -v -i --force
+	autoreconf -v -i
 
 # Configure the build tree
 build-tree/config.status: configure
 	dh_testdir
 
 	install -d build-tree
-	cd build-tree && PERL=/usr/bin/perl ../configure $(confflags) \
+	cd build-tree && ../configure $(confflags) \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
 		--prefix=/usr \
 		--mandir=\$${datadir}/man \
@@ -66,9 +66,9 @@
 check: build
 	dh_testdir
 
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#	cd build-tree && $(MAKE) check
-#endif
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd build-tree && $(MAKE) check
+endif
 
 # Install the package underneath debian/tmp
 install: check
@@ -84,21 +84,16 @@
 	dh_testdir -a
 	dh_testroot -a
 	dh_install --sourcedir=debian/tmp -a
+	dh_installcron -a
 	dh_installlogrotate -a
 
 	install -d debian/dpkg/sbin
 	mv debian/dpkg/usr/sbin/start-stop-daemon debian/dpkg/sbin
 
-# 	dh_installchangelogs -a ChangeLog
-# 	dh_installdocs -a
-
-	install -d debian/dpkg/usr/share/lintian/overrides
-	install -m 644 debian/dpkg.lintian-overrides \
-		       debian/dpkg/usr/share/lintian/overrides/dpkg
-	install -d debian/dselect/usr/share/lintian/overrides
-	install -m 644 debian/dselect.lintian-overrides \
-		       debian/dselect/usr/share/lintian/overrides/dselect
-
+	dh_installchangelogs -a ChangeLog*
+	dh_installdocs -a
+	dh_link -a
+	dh_lintian -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
@@ -113,14 +108,11 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_install --sourcedir=debian/tmp -i -XDpkg/Gettext.pm
-
-# 	dh_installchangelogs -i ChangeLog
-# 	dh_installdocs -i
-
-	install -d debian/dpkg-dev/usr/share/lintian/overrides
-	install -m 644 debian/dpkg-dev.lintian-overrides \
-		       debian/dpkg-dev/usr/share/lintian/overrides/dpkg-dev
-
+	dh_installcron -i
+	dh_installchangelogs -i ChangeLog*
+	dh_installdocs -i
+	dh_link -i
+	dh_lintian -i
 	dh_strip -i
 	dh_compress -i
 	dh_fixperms -i
@@ -136,6 +128,7 @@
 clean:
 	dh_testdir
 
+	[ ! -f Makefile ] || make distclean
 	rm -rf build-tree
 	dh_clean
