## dpkg 1.15.5.6ubuntu4

=== debian/changelog ===
dpkg (1.15.5.6ubuntu4) lucid; urgency=low

  * Backport from upstream:
    - Restore fsync during package unpack (LP: #559915).  This is now done
      by deferring the fsync and rename for normal files in tar extraction
      so that it's done in one pass afterwards, to avoid massive I/O
      degradation due to the serialization from each write + fsync.  When
      creating hard links to normal files on extraction use the .dpkg-new
      filename for source as the file is not yet in place due to the rename
      deferral.
    - Fix dpkg to not lose package metadata on filesystems where readdir()
      returns new files added after the opendir() call, btrfs in particular
      triggered the problematic behaviour. Closes: #575891
    - Report deferred trigger errors on status-fd. Closes: #574599,
      LP: #540252
      Thanks to Michael Vogt <michael.vogt@ubuntu.com>.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 12:38:50 +0100

dpkg (1.15.5.6ubuntu3) lucid; urgency=low

  * Revert fsync during package unpack for now; it's unacceptably slow for
    packages with lots of small files, and we can't ship beta-1 this way.
    We'll do something better once it's decided upstream (LP: #537241).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Mar 2010 10:04:38 +0000

dpkg (1.15.5.6ubuntu2) lucid; urgency=high

  * Backport from upstream:
    - Use FIEMAP when available (on Linux based systems) to sort the .list
      files loading order. With a cold cache it improves up to a 70%.
      Thanks to Morten Hustveit <morten@debian.org>. LP: #442114
    - Call fsync(2) after writing files on disk, to get the atomicity
      guarantees when doing rename(2). Based on a patch by Jean-Baptiste
      Lallement <jeanbaptiste.lallement@gmail.com>.
      Closes: #430958, LP: #512096
  * Security fixes by Raphaël Hertzog, also backported from upstream
    (CVE-2010-0396):
    - Modify dpkg-source to error out when it would apply patches containing
      insecure paths (with "/../") and also error out when it would apply a
      patch through a symlink. Those checks are required as patch will
      happily modify files outside of the target directory and unpacking a
      source package should not be able to have any side-effect outside of
      the target directory. LP: #532445
    - Also error out when the quilt series contains a path with "/../" as
      this can cause patch to create files outside of the source package due
      to the -B .pc/$path option that it gets.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Mar 2010 00:34:28 +0000

dpkg (1.15.5.6ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    Ubuntu-specific adjustments (probably):
    - Adjust versioned emacs22 conflicts to cope with versions in Ubuntu.

    Miscellaneous bug fixes:
    - Avoid duplicate attempts to [f]close in obscure error situations which
      might conceivably close wrong fds.
    - Revert change to stop outputting a newline after a postinst is run
      (Debian #392317).

    Build options:
    - Point to https://wiki.ubuntu.com/DistCompilerFlags from
      dpkg-buildpackage(1).
    - Set default LDFLAGS to -Wl,-Bsymbolic-functions. (We've already taken
      this hit in Ubuntu.)
    - Implement handling of hardening-wrapper options via DEB_BUILD_OPTIONS.

  * Drop lpia hacks; lpia is no longer supported.
  * Drop moves of various Conflicts to Breaks, which are moot since hardy
    has newer versions of all the affected packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Feb 2010 01:32:19 +0000

dpkg (1.15.5.6) unstable; urgency=low

  * dpkg-source: with format "3.0 (quilt)" ensure quilt's .pc directory is
    created before trying to register a new patch in .pc/applied-patches.
    Thanks to Tommi Vainikainen <thv+debian@iki.fi> for the report and the
    patch. Closes: #561237
  * Fix dpkg-buildpackage to set "parallel=" in DEB_BUILD_OPTIONS instead of
    the invalid "parallel=-1" when option "-j" is given. Closes: #562038
  * Clarify how dpkg-source --print-format works and display messages on
    STDERR when the requested format is discarded. Closes: #560391
  * Add ${misc:Depends} in all Depends fields.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 08 Jan 2010 17:57:43 +0100

dpkg (1.15.5.5) unstable; urgency=low

  * Allow again new lines in dpkg-source and dpkg-genchanges on substvar and
    maintainer arguments.

 -- Guillem Jover <guillem@debian.org>  Tue, 22 Dec 2009 09:49:49 +0100

dpkg (1.15.5.4) unstable; urgency=low

  * Fix Dpkg::Index::get() and remove(). Thanks to Roderich Schupp
    <roderich.schupp@googlemail.com> for the patch. Closes: #558595
  * Modify implementation of "3.0 (quilt)" source format to not be
    behave differently depending on whether quilt is installed or not.
    The option --without-quilt is thus gone and dpkg-source creates
    and relies on the .pc directory to know whether patches are applied
    or not. Closes: #557667
  * Add new dpkg-source option --single-debian-patch supported by the source
    format "3.0 (quilt)" so that it behaves more like 1.0 and its single diff
    that is constantly updated with all upstream changes. Useful if the
    workflow is VCS based and can't generate a full patch set.
  * dpkg-source now uses debian/source/patch-header as header of the automatic
    Debian patch in format "3.0 (quilt)".
  * Fix Debian changelog parser so that the trailer line is again checked.

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 07 Dec 2009 09:24:31 +0100

dpkg (1.15.5.3) unstable; urgency=low

  [ Raphael Hertzog ]
  * Avoid usage of IO::String in dpkg-scanpackages, rely on Dpkg::IPC
    instead to directly get a pipe file descriptor. Closes: #557013
  * Put "3.0 (quilt)" in the default list of formats tried by dpkg-source
    after "1.0" and before "3.0 (native)".
  * Let dpkg-source fail if several upstream orig.tar files are available

