## dpkg 1.15.5.6ubuntu4common1

=== debian/changelog ===
dpkg (1.15.5.6ubuntu4common1) lucid; urgency=low

  * Add two new dpkg options --pkg-exclude and --pkg-include for filtering
    files on package installation. This allows embedded systems to skip
    /usr/share/doc, manpages, etc. (Patch now also landed in upstream git
    head).
  * src/Makefile.in: Re-run automake to pick up changes from patch above.
  * debian/control: Set Vcs-Bzr: to oem-netbook branch; branched from
    lp:ubuntu/lucid/dpkg.

 -- Martin Pitt <martin.pitt@canonical.com>  Fri, 11 Jun 2010 17:01:56 +0200
