## dpkg 1.15.5.6ubuntu4.3

=== debian/changelog ===
dpkg (1.15.5.6ubuntu4.3) lucid-security; urgency=low

  * SECURITY UPDATE: no change rebuild to use the new statically linked libbz2
    which fixed CVE-2010-0405

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 20 Sep 2010 07:56:11 -0500

dpkg (1.15.5.6ubuntu4.1) lucid-proposed; urgency=low

  * Backport proposed patch from Guillem Jover:
    - On Linux, call sync() (which is synchronous) before rename() rather
      than calling fsync() once per file (LP: #570805).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jun 2010 14:32:02 +0100
