## dpkg 1.15.5.6ubuntu4.3common1

=== debian/changelog ===
dpkg (1.15.5.6ubuntu4.3common1) lucid; urgency=low

  * Merge with lucid-security.
  * debian/control: Bump libbz2-dev build dep to ensure that we build against
    the one with the security fix.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 30 Sep 2010 16:26:30 +0200

dpkg (1.15.5.6ubuntu4.1common1) lucid; urgency=low

  * Merge with lucid-updates.

 -- Martin Pitt <martin.pitt@canonical.com>  Wed, 14 Jul 2010 12:24:32 +0200

dpkg (1.15.5.6ubuntu4common2) lucid; urgency=low

  * Backport two commits from trunk (58b91fbb and f008d677) to properly filter
    out files during upgrades as well.

 -- Martin Pitt <martin.pitt@canonical.com>  Mon, 28 Jun 2010 10:35:56 +0200
