=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Bzr: lp:~oem-solutions-group/oem-netbook/dpkg
 Standards-Version: 3.8.3
 Build-Depends: debhelper (>= 6.0.7), pkg-config, po4a (>= 0.33.1),
- libncursesw5-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, flex,
+ libncursesw5-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev (>= 1.0.5-4ubuntu0.1), flex,
  libselinux1-dev (>= 1.28-4) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libtimedate-perl, libio-string-perl
