=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,7 @@
 	install -d build-tree
 	cd build-tree && ../configure $(confflags) \
 		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
+		--disable-silent-rules \
 		--prefix=/usr \
 		--mandir=\$${datadir}/man \
 		--infodir=\$${datadir}/info \
@@ -128,7 +129,7 @@
 clean:
 	dh_testdir
 
-	[ ! -f Makefile ] || make distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
 	dh_clean
