## dpkg 1.15.5.6ubuntu4.6

=== debian/changelog ===
dpkg (1.15.5.6ubuntu4.6) lucid-proposed; urgency=low

  * Cherry-pick fixes for sync() behaviour in dpkg (LP: #624877):
    - Disable by default usage of synchronous sync(2), as it causes undesired
      I/O on unrelated file systems. Closes: #588339, #595927, #600075
    - On Linux use sync_file_range() to initiate asynchronous writeback
      of just unpacked files. Suggested by Ted Ts'o <tytso@mit.edu>.
      Thanks to Jonathan Nieder <jrnieder@gmail.com>. Closes: #605009

 -- Michael Jeanson <mjeanson@rlnx.com>  Fri, 14 Sep 2012 09:43:09 -0400
