## dpkg 1.15.5.6ubuntu4.10

=== debian/changelog ===
dpkg (1.15.5.6ubuntu4.10) lucid-security; urgency=medium

  * SECURITY UPDATE: OpenPGP Armor Header Line parsing issue
    - scripts/Dpkg/Control/{Hash,Package}.pm: adjust parsing logic.
    - scripts/Makefile.*, scripts/t/700_Dpkg_Control.t,
      scripts/t/700_Dpkg_Control/*: added bunch of tests.
    - Patch thanks to Guillem Jover
    - CVE-2015-0840

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Apr 2015 10:47:12 -0400

dpkg (1.15.5.6ubuntu4.9) lucid-security; urgency=medium

  * SECURITY UPDATE: arbitrary file modification via dpkg-source
    - scripts/Dpkg/Source/Patch.pm: Use a better regex for patch header
      parsing
    - 5348cbc981a65c3c9b05bb4d13553bda930c2d78
    - CVE-2014-3864
    - CVE-2014-3865

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Jun 2014 13:03:40 -0400

dpkg (1.15.5.6ubuntu4.8) lucid-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: outright reject C-style filenames in
      patches
    - a12eb58959d0a10584a428f4a3103a49204c410f
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 May 2014 08:05:44 -0400

dpkg (1.15.5.6ubuntu4.7) lucid-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: correctly parse C-style diff
      filenames.
    - Patch thanks to Guillem Jover <guillem@debian.org>
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Apr 2014 19:52:02 -0400

dpkg (1.4.0.22) frozen u
